List of all members
clan::Random Class Reference
clanCore Crypto

Random class. More...

`#include <random.h>`

## Public Member Functions
Construction
| Random (int cache_size=1024)
| Constructs the object. More...
Operations
void | get_random_bytes (unsigned char *out_dest_ptr, int num_bytes)
| Get the random bytes. More...
void | get_random_bytes_nzero (unsigned char *out_dest_ptr, int num_bytes)
| Get the random bytes excluding bytes containing 0. More...
bool | get_random_bool ()
| Get the random boolean. More...

## Detailed Description

Random class.

Uses the operating system cryptographically secure pseudorandom number generator

The documentation for this class was generated from the following file:

- random.h